
QGIS Application - Bug report #8866

qgis composer elements' frame thickness reverts to 0.00 when (re)loading projects

2013-10-16 02:10 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17546

Description

Steps to reproduce:

1. Create a new project

2. Create a new composer sheet

3. Add a legend item

4. Activate the [x] Frame and set the thickness value to 3.00

5. Close the composer sheet window

6. Save the new project (any name, anywhere)

7. Load the project you just saved (quickly accessed via open recent > sub menu)

8. Re-open the composer sheet, and notice how the legend item frame revert/reset to 0.00

That's a regression affecting QGIS master (2.1).

Associated revisions

Revision 491231e6 - 2013-10-17 12:36 PM - Nyall Dawson

Fix loading composer item frame thickness (fix #8866)

Revision 41a8e738 - 2013-10-17 01:04 PM - Nyall Dawson

Fix loading composer item frame thickness (fix #8866)

History

#1 - 2013-10-17 03:37 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"491231e600915110d12216781d2f38018c82847d".
